### Function

# GioUnix FileDescriptorBased get_fd

since: 2.24

#### Declaration

    int
    g_file_descriptor_based_get_fd (
      GFileDescriptorBased* fd_based
    )

#### Description

Gets the underlying file descriptor.

Available since: 2.24

#### Parameters

`fd_based`

  Type: `GFileDescriptorBased`

  A `GFileDescriptorBased`.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

The file descriptor.